SLA Policies
GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obbligatorio
Mostra attributi secondari
results.createdAt
string
obbligatorio
results.description
string
obbligatorio
results.id
string
obbligatorio
results.metrics
object
Mostra attributi secondari
results.metrics.firstReplyTime
array of object
Mostra attributi secondari
results.metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
Mostra attributi secondari
results.metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
obbligatorio
results.timeKeepingMethod
string
obbligatorio
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
obbligatorio
results.workspaceId
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
Payload della richiesta
name
string
obbligatorio
description
string
obbligatorio
timeKeepingMethod
string
obbligatorio
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Mostra parametri secondari
metrics.firstReplyTime
array of object
Mostra parametri secondari
metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostra parametri secondari
metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
Payload della risposta
createdAt
string
obbligatorio
description
string
obbligatorio
id
string
obbligatorio
metrics
object
Mostra attributi secondari
metrics.firstReplyTime
array of object
Mostra attributi secondari
metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostra attributi secondari
metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obbligatorio
timeKeepingMethod
string
obbligatorio
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obbligatorio
workspaceId
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
Payload della risposta
createdAt
string
obbligatorio
description
string
obbligatorio
id
string
obbligatorio
metrics
object
Mostra attributi secondari
metrics.firstReplyTime
array of object
Mostra attributi secondari
metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostra attributi secondari
metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obbligatorio
timeKeepingMethod
string
obbligatorio
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obbligatorio
workspaceId
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
Payload della richiesta
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Mostra parametri secondari
metrics.firstReplyTime
array of object
Mostra parametri secondari
metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostra parametri secondari
metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
Payload della risposta
createdAt
string
obbligatorio
description
string
obbligatorio
id
string
obbligatorio
metrics
object
Mostra attributi secondari
metrics.firstReplyTime
array of object
Mostra attributi secondari
metrics.firstReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Mostra attributi secondari
metrics.nextReplyTime.breachThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obbligatorio
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obbligatorio
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obbligatorio
timeKeepingMethod
string
obbligatorio
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obbligatorio
workspaceId
string
obbligatorio
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'